this.name = "Deep Horizon - Systems - ArtPack1";
this.author	= "Blake Deakins - a.k.a. Cmd. Cheyd";
this.description = "This is an Add-On Art Pack for the Deep Horizon - Systems OXP.  It adds textures for main planets, additional planets added to a system, and moons.";
this.version = "0.0.3";
this.copyright = " Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License";

this.startUp = function() {
   delete startUp;
   if(worldScripts["Deep Horizon - Systems - Engine"]) {
      // If engine is not ready (loading order), call it so it can prepare things
      if(worldScripts["Deep Horizon - Systems - Engine"].startUp) worldScripts["Deep Horizon - Systems - Engine"].startUp();

      // Create a new object with properties
      var myStuff = new Object({
         arrMainPlanetMoonNames: [
		    "DeepHorizon_moon1","DeepHorizon_moon2","DeepHorizon_moon3","DeepHorizon_moon4","DeepHorizon_moon5",
            "DeepHorizon_moon6","DeepHorizon_moon7","DeepHorizon_moon8","DeepHorizon_moon9","DeepHorizon_moon10",
            "DeepHorizon_moon11"
			],
         arrPlanetNames: [
		    "DeepHorizon_planet1","DeepHorizon_planet2","DeepHorizon_planet3","DeepHorizon_planet4","DeepHorizon_planet5",
            "DeepHorizon_planet6","DeepHorizon_planet7","DeepHorizon_planet8","DeepHorizon_planet9","DeepHorizon_planet10",
            "DeepHorizon_planet11","DeepHorizon_planet12","DeepHorizon_planet13","DeepHorizon_planet14","DeepHorizon_planet15",
            "DeepHorizon_planet16","DeepHorizon_planet17","DeepHorizon_planet18","DeepHorizon_planet19","DeepHorizon_planet20"
			],
         arrComplexPlanetCombos: {
            DeepHorizon_ComplexPlanet1:["DeepHorizon_ComplexMoon1a","DeepHorizon_ComplexMoon1b","DeepHorizon_ComplexMoon1c","DeepHorizon_ComplexMoon1d"],
            DeepHorizon_ComplexPlanet2:["DeepHorizon_ComplexMoon2a","DeepHorizon_ComplexMoon2b","DeepHorizon_ComplexMoon2c","DeepHorizon_ComplexMoon2d"]
         },
         arrEcon0Textures: ["base_planet05.png","base_planet15.png"],
         arrEcon1Textures: ["base_planet15.png","base_planet71.png"],
         arrEcon2Textures: ["base_planet20.png","base_planet15.png"],
         arrEcon3Textures: ["base_planet30.png","base_planet15.png"],
         arrEcon4Textures: ["base_planet40.png","base_planet15.png"],
         arrEcon5Textures: ["base_planet50.png","base_planet15.png"],
         arrEcon6Textures: ["base_planet60.png","base_planet15.png"],
         arrEcon7Textures: ["base_planet71.png","base_planet15.png"],
         arrPinkOceanTextures: ["pink_ocean1"],
         arrGasGiantTextures: ["add_planet1.png"],
         arrMoonTextures: ["moon1.png","moon2.png","moon3.png","moon5.png","moon6.png","moon7.png","moon8.png","moon9.png","moon10.png"],
         arrPlanetTextures: ["add_planet1.png","add_planet2.png"],
		 arrValidKeywordList: {
			Farglestomp: ["base_planet5.png","base_planet100.png"],
			Feathers: ["base_planet6.png","base_planet101.png"]
		 },
		 arrInvalidKeywordList: {
			Farglestomp: ["base_planet7.png","base_planet101.png"],
			Feathers: ["base_planet8.png","base_planet100.png"]
		 }
      });
      // Pass object
      worldScripts["Deep Horizon - Systems - Engine"].registerArtPack(myStuff);
   }
}